com.informix.jdbcx

## Class IfxXAResource

- java.lang.Object
- - com.informix.jdbcx.IfxXAResource

All Implemented Interfaces:
  javax.transaction.xa.XAResource

    public class IfxXAResource
    extends java.lang.Object
    implements javax.transaction.xa.XAResource

The Informix implementation of the XAResource class

The IfxXAResource class is the Informix implementation of javax.transaction.xa.XAResource.

See Also:
  `XAConnection`

### Field Summary

Fields
`protected java.util.Vector<javax.transaction.xa.Xid>` `xidList`

### Fields inherited from interface javax.transaction.xa.XAResource

`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addToXidList(javax.transaction.xa.Xid xid)`
`void` `commit(javax.transaction.xa.Xid xid, boolean onePhase)`
`void` `end(javax.transaction.xa.Xid xid, int flags)`
`void` `forget(javax.transaction.xa.Xid xid)`
`int` `getTransactionTimeout()`
`boolean` `isSameRM(javax.transaction.xa.XAResource xares)`
`int` `prepare(javax.transaction.xa.Xid xid)`
`javax.transaction.xa.Xid[]` `recover(int flag)`
`protected void` `removeFromXidList(javax.transaction.xa.Xid xid)`
`protected void` `removeXidList()`
`void` `rollback(javax.transaction.xa.Xid xid)`
`boolean` `setTransactionTimeout(int t)`
`void` `start(javax.transaction.xa.Xid xid, int flags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### xidList

    protected java.util.Vector<javax.transaction.xa.Xid> xidList

### Method Detail

#### commit

    public void commit(javax.transaction.xa.Xid xid,
                       boolean onePhase)
                throws javax.transaction.xa.XAException

Specified by:
  `commit` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### end

    public void end(javax.transaction.xa.Xid xid,
                    int flags)
             throws javax.transaction.xa.XAException

Specified by:
  `end` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### forget

    public void forget(javax.transaction.xa.Xid xid)
                throws javax.transaction.xa.XAException

Specified by:
  `forget` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### getTransactionTimeout

    public int getTransactionTimeout()
                              throws javax.transaction.xa.XAException

Specified by:
  `getTransactionTimeout` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### isSameRM

    public boolean isSameRM(javax.transaction.xa.XAResource xares)
                     throws javax.transaction.xa.XAException

Specified by:
  `isSameRM` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### prepare

    public int prepare(javax.transaction.xa.Xid xid)
                throws javax.transaction.xa.XAException

Specified by:
  `prepare` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### recover

    public javax.transaction.xa.Xid[] recover(int flag)
                                       throws javax.transaction.xa.XAException

Specified by:
  `recover` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### rollback

    public void rollback(javax.transaction.xa.Xid xid)
                  throws javax.transaction.xa.XAException

Specified by:
  `rollback` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### setTransactionTimeout

    public boolean setTransactionTimeout(int t)
                                  throws javax.transaction.xa.XAException

Specified by:
  `setTransactionTimeout` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### start

    public void start(javax.transaction.xa.Xid xid,
                      int flags)
               throws javax.transaction.xa.XAException

Specified by:
  `start` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### removeFromXidList

    protected void removeFromXidList(javax.transaction.xa.Xid xid)

#### addToXidList

    protected void addToXidList(javax.transaction.xa.Xid xid)

#### removeXidList

    protected void removeXidList()